ff-admin-server:
  image: docker.registry.jk-effects.cloud/ehrenamt/ff-admin/server:<version>
  container_name: ff_admin_server
  restart: unless-stopped
  ports:
    - "5000:5000"
  environment:
    - DB_TYPE=<database type>
    - DB_HOST=<database host>
    - DB_PORT=<database port>
    - DB_NAME=<database name>
    - DB_USERNAME=<database username>
    - DB_PASSWORD=<database password>
    - JWT_SECRET=<jwt secret>
    - JWT_EXPIRATION=<jwt expiration>
    - REFRESH_EXPIRATION=<refresh expiration>
    - PWA_REFRESH_EXPIRATION=<pwa refresh expiration>
    - MAIL_USERNAME=<mailadress|username>
    - MAIL_PASSWORD=<mail password>
    - MAIL_HOST=<mail server url>
    - MAIL_PORT=<port>
    - MAIL_SECURE=<boolean>
    - CLUB_NAME=<club name>
    - CLUB_WEBSITE=<club website>
    - BACKUP_INTERVAL=<backup interval>
    - BACKUP_COPIES=<backup parallel copies>
    - BACKUP_AUTO_RESTORE=<boolean>
    - USE_SECURITY_STRICT_LIMIT=<boolean>
    - SECURITY_STRICT_LIMIT_WINDOW=<time window>
    - SECURITY_STRICT_LIMIT_REQUEST_COUNT=<strict_request_count>
    - USE_SECURITY_LIMIT=<boolean>
    - SECURITY_LIMIT_WINDOW=<time window>
    - SECURITY_LIMIT_REQUEST_COUNT=<request_count>
    - TRUST_PROXY=<proxy config>
  volumes:
    - <volume|local path>:/app/files